import com.j256.ormlite.stmt.PreparedQuery;
import com.j256.ormlite.stmt.StatementBuilder;
import com.j256.ormlite.support.CompiledStatement;
import com.j256.ormlite.support.DatabaseConnection;
import com.j256.ormlite.support.DatabaseResults;
import org.junit.Assert;
import org.junit.Test;

import javax.management.Query;
import java.sql.SQLException;
import java.util.List;

public class AccountAppTests {

    @Test
    public void testCreate(){
        MockDao dao = new MockDao();
        AccountService accountService = new AccountService(dao);

        int actual = accountService.create(new Account());
        int expect = 1;

        Assert.assertEquals(expect, actual);
    }

    @Test
    public void testRead(){
        MockDao dao = new MockDao();
        AccountService accountService = new AccountService(dao);

        List<Account> result = accountService.querey("Jim Coakley", "name");
        int actual = result.size();
        int expect = 1;

        Assert.assertEquals(expect, actual);
    }

    @Test
    public void testDelete(){
        MockDao dao = new MockDao();
        AccountService accountService = new AccountService(dao);


    }

    @Test
    public void testUpdate(){
        MockDao dao = new MockDao();
        AccountService accountService = new AccountService(dao);

        int actual = accountService.changePassword(new Account("Jawn", "otherjawn"), "1234");
        int expect = 1;

        Assert.assertEquals(expect, actual);
    }

}
